Index: CKEditor/trunk/_source/lang/ar.js
===================================================================
--- CKEditor/trunk/_source/lang/ar.js	(revision 6232)
+++ CKEditor/trunk/_source/lang/ar.js	(revision 6241)
@@ -57,4 +57,5 @@
 	horizontalrule	: 'خط فاصل',
 	pagebreak		: 'إدخال صفحة جديدة',
+	pagebreakAlt		: 'Page Break', // MISSING
 	unlink			: 'إزالة رابط',
 	undo			: 'تراجع',
@@ -110,4 +111,15 @@
 		styles			: 'Style', // MISSING
 		cssClasses		: 'Stylesheet Classes', // MISSING
+		width			: 'العرض',
+		height			: 'الإرتفاع',
+		align			: 'محاذاة',
+		alignLeft		: 'يسار',
+		alignRight		: 'يمين',
+		alignCenter		: 'وسط',
+		alignTop		: 'أعلى',
+		alignMiddle		: 'وسط',
+		alignBottom		: 'أسفل',
+		invalidHeight	: 'الارتفاع يجب أن يكون عدداً.',
+		invalidWidth	: 'العرض يجب أن يكون عدداً.',
 
 		// Put the voice-only part of the label in the span.
@@ -156,7 +168,5 @@
 		popupScrollBars	: 'أشرطة التمرير',
 		popupDependent	: 'تابع (Netscape)',
-		popupWidth		: 'العرض',
 		popupLeft		: 'التمركز لليسار',
-		popupHeight		: 'الإرتفاع',
 		popupTop		: 'التمركز للأعلى',
 		id				: 'هوية',
@@ -244,13 +254,7 @@
 		columns		: 'أعمدة',
 		border		: 'الحدود',
-		align		: 'المحاذاة',
-		alignLeft	: 'يسار',
-		alignCenter	: 'وسط',
-		alignRight	: 'يمين',
-		width		: 'العرض',
 		widthPx		: 'بكسل',
 		widthPc		: 'بالمئة',
 		widthUnit	: 'width unit', // MISSING
-		height		: 'الإرتفاع',
 		cellSpace	: 'تباعد الخلايا',
 		cellPad		: 'المسافة البادئة',
@@ -288,7 +292,4 @@
 			hAlign			: 'محاذاة أفقية',
 			vAlign			: 'محاذاة رأسية',
-			alignTop		: 'أعلى',
-			alignMiddle		: 'وسط',
-			alignBottom		: 'أسفل',
 			alignBaseline	: 'خط القاعدة',
 			bgColor			: 'لون الخلفية',
@@ -411,6 +412,4 @@
 		upload		: 'رفع',
 		alt			: 'عنوان الصورة',
-		width		: 'العرض',
-		height		: 'الإرتفاع',
 		lockRatio	: 'تناسق الحجم',
 		unlockRatio	: 'Unlock Ratio', // MISSING
@@ -419,7 +418,4 @@
 		hSpace		: 'تباعد أفقي',
 		vSpace		: 'تباعد عمودي',
-		align		: 'محاذاة',
-		alignLeft	: 'يسار',
-		alignRight	: 'يمين',
 		alertUrl	: 'فضلاً أكتب الموقع الذي توجد عليه هذه الصورة.',
 		linkTab		: 'الرابط',
@@ -427,6 +423,4 @@
 		img2Button	: 'هل تريد تحويل الصورة المختارة إلى زر صورة؟',
 		urlMissing	: 'عنوان مصدر الصورة مفقود',
-		validateWidth	: 'Width must be a whole number.', // MISSING
-		validateHeight	: 'Height must be a whole number.', // MISSING
 		validateBorder	: 'Border must be a whole number.', // MISSING
 		validateHSpace	: 'HSpace must be a whole number.', // MISSING
@@ -452,14 +446,8 @@
 		accessSameDomain: 'نفس النطاق',
 		accessNever		: 'مطلقاً',
-		align			: 'محاذاة',
-		alignLeft		: 'يسار',
 		alignAbsBottom	: 'أسفل النص',
 		alignAbsMiddle	: 'وسط السطر',
 		alignBaseline	: 'على السطر',
-		alignBottom		: 'أسفل',
-		alignMiddle		: 'وسط',
-		alignRight		: 'يمين',
 		alignTextTop	: 'أعلى النص',
-		alignTop		: 'أعلى',
 		quality			: 'جودة',
 		qualityBest		: 'أفضل',
@@ -475,11 +463,7 @@
 		flashvars		: 'متغيرات الفلاش',
 		bgcolor			: 'لون الخلفية',
-		width			: 'العرض',
-		height			: 'الإرتفاع',
 		hSpace			: 'تباعد أفقي',
 		vSpace			: 'تباعد عمودي',
 		validateSrc		: 'فضلاً أدخل عنوان الموقع الذي يشير إليه الرابط',
-		validateWidth	: 'العرض يجب أن يكون عدداً.',
-		validateHeight	: 'الارتفاع يجب أن يكون عدداً.',
 		validateHSpace	: 'HSpace يجب أن يكون عدداً.',
 		validateVSpace	: 'VSpace يجب أن يكون عدداً.'
@@ -615,4 +599,13 @@
 		remove				: 'Remove Div' // MISSING
   	},
+
+	iframe :
+	{
+		title		: 'iFrame Properties', // MISSING
+		toolbar		: 'iFrame', // MISSING
+		noUrl		: 'Please type the iFrame URL', // MISSING
+		scrolling	: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border' // MISSING
+	},
 
 	font :
@@ -731,8 +724,9 @@
 	fakeobjects :
 	{
-		anchor	: 'إرساء',
-		flash	: 'رسم متحرك بالفلاش',
-		div		: 'فاصل صفحة',
-		unknown	: 'كائن غير معروف'
+		anchor		: 'إرساء',
+		flash		: 'رسم متحرك بالفلاش',
+		iframe		: 'iFrame', // MISSING
+		hiddenfield	: 'Hidden Field', // MISSING
+		unknown		: 'كائن غير معروف'
 	},
 
Index: CKEditor/trunk/_source/lang/bg.js
===================================================================
--- CKEditor/trunk/_source/lang/bg.js	(revision 6232)
+++ CKEditor/trunk/_source/lang/bg.js	(revision 6241)
@@ -57,4 +57,5 @@
 	horizontalrule	: 'Вмъкни хоризонтална линия',
 	pagebreak		: 'Вмъкни нов ред',
+	pagebreakAlt		: 'Page Break', // MISSING
 	unlink			: 'Изтрий връзка',
 	undo			: 'Отмени',
@@ -110,4 +111,15 @@
 		styles			: 'Style', // MISSING
 		cssClasses		: 'Stylesheet Classes', // MISSING
+		width			: 'Ширина',
+		height			: 'Височина',
+		align			: 'Подравняване',
+		alignLeft		: 'Ляво',
+		alignRight		: 'Дясно',
+		alignCenter		: 'Център',
+		alignTop		: 'Отгоре',
+		alignMiddle		: 'По средата',
+		alignBottom		: 'Долу',
+		invalidHeight	: 'Height must be a number.', // MISSING
+		invalidWidth	: 'Width must be a number.', // MISSING
 
 		// Put the voice-only part of the label in the span.
@@ -156,7 +168,5 @@
 		popupScrollBars	: 'Плъзгач',
 		popupDependent	: 'Зависим (Netscape)',
-		popupWidth		: 'Ширина',
 		popupLeft		: 'Координати - X',
-		popupHeight		: 'Височина',
 		popupTop		: 'Координати - Y',
 		id				: 'Id', // MISSING
@@ -244,13 +254,7 @@
 		columns		: 'Колони',
 		border		: 'Размер на рамката',
-		align		: 'Подравняване',
-		alignLeft	: 'Ляво',
-		alignCenter	: 'Център',
-		alignRight	: 'Дясно',
-		width		: 'Ширина',
 		widthPx		: 'пиксели',
 		widthPc		: 'проценти',
 		widthUnit	: 'width unit', // MISSING
-		height		: 'Височина',
 		cellSpace	: 'Разстояние между клетките',
 		cellPad		: 'Отстъп на съдържанието в клетките',
@@ -288,7 +292,4 @@
 			hAlign			: 'Horizontal Alignment', // MISSING
 			vAlign			: 'Vertical Alignment', // MISSING
-			alignTop		: 'Top', // MISSING
-			alignMiddle		: 'Middle', // MISSING
-			alignBottom		: 'Bottom', // MISSING
 			alignBaseline	: 'Baseline', // MISSING
 			bgColor			: 'Background Color', // MISSING
@@ -411,6 +412,4 @@
 		upload		: 'Качи',
 		alt			: 'Алтернативен текст',
-		width		: 'Ширина',
-		height		: 'Височина',
 		lockRatio	: 'Запази пропорцията',
 		unlockRatio	: 'Unlock Ratio', // MISSING
@@ -419,7 +418,4 @@
 		hSpace		: 'Хоризонтален отстъп',
 		vSpace		: 'Вертикален отстъп',
-		align		: 'Подравняване',
-		alignLeft	: 'Ляво',
-		alignRight	: 'Дясно',
 		alertUrl	: 'Моля, въведете пълния път до изображението',
 		linkTab		: 'Връзка',
@@ -427,6 +423,4 @@
 		img2Button	: 'Do you want to transform the selected image on a image button?', // MISSING
 		urlMissing	: 'Image source URL is missing.', // MISSING
-		validateWidth	: 'Width must be a whole number.', // MISSING
-		validateHeight	: 'Height must be a whole number.', // MISSING
 		validateBorder	: 'Border must be a whole number.', // MISSING
 		validateHSpace	: 'HSpace must be a whole number.', // MISSING
@@ -452,14 +446,8 @@
 		accessSameDomain: 'Same domain', // MISSING
 		accessNever		: 'Never', // MISSING
-		align			: 'Подравняване',
-		alignLeft		: 'Ляво',
 		alignAbsBottom	: 'Най-долу',
 		alignAbsMiddle	: 'Точно по средата',
 		alignBaseline	: 'По базовата линия',
-		alignBottom		: 'Долу',
-		alignMiddle		: 'По средата',
-		alignRight		: 'Дясно',
 		alignTextTop	: 'Върху текста',
-		alignTop		: 'Отгоре',
 		quality			: 'Quality', // MISSING
 		qualityBest		: 'Best', // MISSING
@@ -475,11 +463,7 @@
 		flashvars		: 'Variables for Flash', // MISSING
 		bgcolor			: 'Цвят на фона',
-		width			: 'Ширина',
-		height			: 'Височина',
 		hSpace			: 'Хоризонтален отстъп',
 		vSpace			: 'Вертикален отстъп',
 		validateSrc		: 'Моля, напишете пълния път (URL)',
-		validateWidth	: 'Width must be a number.', // MISSING
-		validateHeight	: 'Height must be a number.', // MISSING
 		validateHSpace	: 'HSpace must be a number.', // MISSING
 		validateVSpace	: 'VSpace must be a number.' // MISSING
@@ -615,4 +599,13 @@
 		remove				: 'Remove Div' // MISSING
   	},
+
+	iframe :
+	{
+		title		: 'iFrame Properties', // MISSING
+		toolbar		: 'iFrame', // MISSING
+		noUrl		: 'Please type the iFrame URL', // MISSING
+		scrolling	: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border' // MISSING
+	},
 
 	font :
@@ -731,8 +724,9 @@
 	fakeobjects :
 	{
-		anchor	: 'Anchor', // MISSING
-		flash	: 'Flash Animation', // MISSING
-		div		: 'Page Break', // MISSING
-		unknown	: 'Unknown Object' // MISSING
+		anchor		: 'Anchor', // MISSING
+		flash		: 'Flash Animation', // MISSING
+		iframe		: 'iFrame', // MISSING
+		hiddenfield	: 'Hidden Field', // MISSING
+		unknown		: 'Unknown Object' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/bn.js
===================================================================
--- CKEditor/trunk/_source/lang/bn.js	(revision 6232)
+++ CKEditor/trunk/_source/lang/bn.js	(revision 6241)
@@ -57,4 +57,5 @@
 	horizontalrule	: 'রেখা যুক্ত কর',
 	pagebreak		: 'পেজ ব্রেক',
+	pagebreakAlt		: 'Page Break', // MISSING
 	unlink			: 'লিংক সরাও',
 	undo			: 'আনডু',
@@ -110,4 +111,15 @@
 		styles			: 'Style', // MISSING
 		cssClasses		: 'Stylesheet Classes', // MISSING
+		width			: 'প্রস্থ',
+		height			: 'দৈর্ঘ্য',
+		align			: 'এলাইন',
+		alignLeft		: 'বামে',
+		alignRight		: 'ডানে',
+		alignCenter		: 'মাঝখানে',
+		alignTop		: 'উপর',
+		alignMiddle		: 'মধ্য',
+		alignBottom		: 'নীচে',
+		invalidHeight	: 'Height must be a number.', // MISSING
+		invalidWidth	: 'Width must be a number.', // MISSING
 
 		// Put the voice-only part of the label in the span.
@@ -156,7 +168,5 @@
 		popupScrollBars	: 'স্ক্রল বার',
 		popupDependent	: 'ডিপেন্ডেন্ট (Netscape)',
-		popupWidth		: 'প্রস্থ',
 		popupLeft		: 'বামের পজিশন',
-		popupHeight		: 'দৈর্ঘ্য',
 		popupTop		: 'ডানের পজিশন',
 		id				: 'Id', // MISSING
@@ -244,13 +254,7 @@
 		columns		: 'কলাম',
 		border		: 'বর্ডার সাইজ',
-		align		: 'এলাইনমেন্ট',
-		alignLeft	: 'বামে',
-		alignCenter	: 'মাঝখানে',
-		alignRight	: 'ডানে',
-		width		: 'প্রস্থ',
 		widthPx		: 'পিক্সেল',
 		widthPc		: 'শতকরা',
 		widthUnit	: 'width unit', // MISSING
-		height		: 'দৈর্ঘ্য',
 		cellSpace	: 'সেল স্পেস',
 		cellPad		: 'সেল প্যাডিং',
@@ -288,7 +292,4 @@
 			hAlign			: 'Horizontal Alignment', // MISSING
 			vAlign			: 'Vertical Alignment', // MISSING
-			alignTop		: 'Top', // MISSING
-			alignMiddle		: 'Middle', // MISSING
-			alignBottom		: 'Bottom', // MISSING
 			alignBaseline	: 'Baseline', // MISSING
 			bgColor			: 'Background Color', // MISSING
@@ -411,6 +412,4 @@
 		upload		: 'আপলোড',
 		alt			: 'বিকল্প টেক্সট',
-		width		: 'প্রস্থ',
-		height		: 'দৈর্ঘ্য',
 		lockRatio	: 'অনুপাত লক কর',
 		unlockRatio	: 'Unlock Ratio', // MISSING
@@ -419,7 +418,4 @@
 		hSpace		: 'হরাইজন্টাল স্পেস',
 		vSpace		: 'ভার্টিকেল স্পেস',
-		align		: 'এলাইন',
-		alignLeft	: 'বামে',
-		alignRight	: 'ডানে',
 		alertUrl	: 'অনুগ্রহক করে ছবির URL টাইপ করুন',
 		linkTab		: 'লিংক',
@@ -427,6 +423,4 @@
 		img2Button	: 'Do you want to transform the selected image on a image button?', // MISSING
 		urlMissing	: 'Image source URL is missing.', // MISSING
-		validateWidth	: 'Width must be a whole number.', // MISSING
-		validateHeight	: 'Height must be a whole number.', // MISSING
 		validateBorder	: 'Border must be a whole number.', // MISSING
 		validateHSpace	: 'HSpace must be a whole number.', // MISSING
@@ -452,14 +446,8 @@
 		accessSameDomain: 'Same domain', // MISSING
 		accessNever		: 'Never', // MISSING
-		align			: 'এলাইন',
-		alignLeft		: 'বামে',
 		alignAbsBottom	: 'Abs নীচে',
 		alignAbsMiddle	: 'Abs উপর',
 		alignBaseline	: 'মূল রেখা',
-		alignBottom		: 'নীচে',
-		alignMiddle		: 'মধ্য',
-		alignRight		: 'ডানে',
 		alignTextTop	: 'টেক্সট উপর',
-		alignTop		: 'উপর',
 		quality			: 'Quality', // MISSING
 		qualityBest		: 'Best', // MISSING
@@ -475,11 +463,7 @@
 		flashvars		: 'Variables for Flash', // MISSING
 		bgcolor			: 'বেকগ্রাউন্ড রং',
-		width			: 'প্রস্থ',
-		height			: 'দৈর্ঘ্য',
 		hSpace			: 'হরাইজন্টাল স্পেস',
 		vSpace			: 'ভার্টিকেল স্পেস',
 		validateSrc		: 'অনুগ্রহ করে URL লিংক টাইপ করুন',
-		validateWidth	: 'Width must be a number.', // MISSING
-		validateHeight	: 'Height must be a number.', // MISSING
 		validateHSpace	: 'HSpace must be a number.', // MISSING
 		validateVSpace	: 'VSpace must be a number.' // MISSING
@@ -615,4 +599,13 @@
 		remove				: 'Remove Div' // MISSING
   	},
+
+	iframe :
+	{
+		title		: 'iFrame Properties', // MISSING
+		toolbar		: 'iFrame', // MISSING
+		noUrl		: 'Please type the iFrame URL', // MISSING
+		scrolling	: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border' // MISSING
+	},
 
 	font :
@@ -731,8 +724,9 @@
 	fakeobjects :
 	{
-		anchor	: 'Anchor', // MISSING
-		flash	: 'Flash Animation', // MISSING
-		div		: 'Page Break', // MISSING
-		unknown	: 'Unknown Object' // MISSING
+		anchor		: 'Anchor', // MISSING
+		flash		: 'Flash Animation', // MISSING
+		iframe		: 'iFrame', // MISSING
+		hiddenfield	: 'Hidden Field', // MISSING
+		unknown		: 'Unknown Object' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/bs.js
===================================================================
--- CKEditor/trunk/_source/lang/bs.js	(revision 6232)
+++ CKEditor/trunk/_source/lang/bs.js	(revision 6241)
@@ -57,4 +57,5 @@
 	horizontalrule	: 'Ubaci horizontalnu liniju',
 	pagebreak		: 'Insert Page Break for Printing', // MISSING
+	pagebreakAlt		: 'Page Break', // MISSING
 	unlink			: 'Izbriši link',
 	undo			: 'Vrati',
@@ -110,4 +111,15 @@
 		styles			: 'Style', // MISSING
 		cssClasses		: 'Stylesheet Classes', // MISSING
+		width			: 'Širina',
+		height			: 'Visina',
+		align			: 'Poravnanje',
+		alignLeft		: 'Lijevo',
+		alignRight		: 'Desno',
+		alignCenter		: 'Centar',
+		alignTop		: 'Vrh',
+		alignMiddle		: 'Sredina',
+		alignBottom		: 'Dno',
+		invalidHeight	: 'Height must be a number.', // MISSING
+		invalidWidth	: 'Width must be a number.', // MISSING
 
 		// Put the voice-only part of the label in the span.
@@ -156,7 +168,5 @@
 		popupScrollBars	: 'Scroll traka',
 		popupDependent	: 'Ovisno (Netscape)',
-		popupWidth		: 'Širina',
 		popupLeft		: 'Lijeva pozicija',
-		popupHeight		: 'Visina',
 		popupTop		: 'Gornja pozicija',
 		id				: 'Id', // MISSING
@@ -244,13 +254,7 @@
 		columns		: 'Kolona',
 		border		: 'Okvir',
-		align		: 'Poravnanje',
-		alignLeft	: 'Lijevo',
-		alignCenter	: 'Centar',
-		alignRight	: 'Desno',
-		width		: 'Širina',
 		widthPx		: 'piksela',
 		widthPc		: 'posto',
 		widthUnit	: 'width unit', // MISSING
-		height		: 'Visina',
 		cellSpace	: 'Razmak æelija',
 		cellPad		: 'Uvod æelija',
@@ -288,7 +292,4 @@
 			hAlign			: 'Horizontal Alignment', // MISSING
 			vAlign			: 'Vertical Alignment', // MISSING
-			alignTop		: 'Top', // MISSING
-			alignMiddle		: 'Middle', // MISSING
-			alignBottom		: 'Bottom', // MISSING
 			alignBaseline	: 'Baseline', // MISSING
 			bgColor			: 'Background Color', // MISSING
@@ -411,6 +412,4 @@
 		upload		: 'Šalji',
 		alt			: 'Tekst na slici',
-		width		: 'Širina',
-		height		: 'Visina',
 		lockRatio	: 'Zakljuèaj odnos',
 		unlockRatio	: 'Unlock Ratio', // MISSING
@@ -419,7 +418,4 @@
 		hSpace		: 'HSpace',
 		vSpace		: 'VSpace',
-		align		: 'Poravnanje',
-		alignLeft	: 'Lijevo',
-		alignRight	: 'Desno',
 		alertUrl	: 'Molimo ukucajte URL od slike.',
 		linkTab		: 'Link', // MISSING
@@ -427,6 +423,4 @@
 		img2Button	: 'Do you want to transform the selected image on a image button?', // MISSING
 		urlMissing	: 'Image source URL is missing.', // MISSING
-		validateWidth	: 'Width must be a whole number.', // MISSING
-		validateHeight	: 'Height must be a whole number.', // MISSING
 		validateBorder	: 'Border must be a whole number.', // MISSING
 		validateHSpace	: 'HSpace must be a whole number.', // MISSING
@@ -452,14 +446,8 @@
 		accessSameDomain: 'Same domain', // MISSING
 		accessNever		: 'Never', // MISSING
-		align			: 'Poravnanje',
-		alignLeft		: 'Lijevo',
 		alignAbsBottom	: 'Abs dole',
 		alignAbsMiddle	: 'Abs sredina',
 		alignBaseline	: 'Bazno',
-		alignBottom		: 'Dno',
-		alignMiddle		: 'Sredina',
-		alignRight		: 'Desno',
 		alignTextTop	: 'Vrh teksta',
-		alignTop		: 'Vrh',
 		quality			: 'Quality', // MISSING
 		qualityBest		: 'Best', // MISSING
@@ -475,11 +463,7 @@
 		flashvars		: 'Variables for Flash', // MISSING
 		bgcolor			: 'Boja pozadine',
-		width			: 'Širina',
-		height			: 'Visina',
 		hSpace			: 'HSpace',
 		vSpace			: 'VSpace',
 		validateSrc		: 'Molimo ukucajte URL link',
-		validateWidth	: 'Width must be a number.', // MISSING
-		validateHeight	: 'Height must be a number.', // MISSING
 		validateHSpace	: 'HSpace must be a number.', // MISSING
 		validateVSpace	: 'VSpace must be a number.' // MISSING
@@ -615,4 +599,13 @@
 		remove				: 'Remove Div' // MISSING
   	},
+
+	iframe :
+	{
+		title		: 'iFrame Properties', // MISSING
+		toolbar		: 'iFrame', // MISSING
+		noUrl		: 'Please type the iFrame URL', // MISSING
+		scrolling	: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border' // MISSING
+	},
 
 	font :
@@ -731,8 +724,9 @@
 	fakeobjects :
 	{
-		anchor	: 'Anchor', // MISSING
-		flash	: 'Flash Animation', // MISSING
-		div		: 'Page Break', // MISSING
-		unknown	: 'Unknown Object' // MISSING
+		anchor		: 'Anchor', // MISSING
+		flash		: 'Flash Animation', // MISSING
+		iframe		: 'iFrame', // MISSING
+		hiddenfield	: 'Hidden Field', // MISSING
+		unknown		: 'Unknown Object' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/ca.js
===================================================================
--- CKEditor/trunk/_source/lang/ca.js	(revision 6232)
+++ CKEditor/trunk/_source/lang/ca.js	(revision 6241)
@@ -57,4 +57,5 @@
 	horizontalrule	: 'Insereix línia horitzontal',
 	pagebreak		: 'Insereix salt de pàgina',
+	pagebreakAlt		: 'Page Break', // MISSING
 	unlink			: 'Elimina l\'enllaç',
 	undo			: 'Desfés',
@@ -110,4 +111,15 @@
 		styles			: 'Style', // MISSING
 		cssClasses		: 'Stylesheet Classes', // MISSING
+		width			: 'Amplada',
+		height			: 'Alçada',
+		align			: 'Alineació',
+		alignLeft		: 'Ajusta a l\'esquerra',
+		alignRight		: 'Ajusta a la dreta',
+		alignCenter		: 'Centre',
+		alignTop		: 'Top', // MISSING
+		alignMiddle		: 'Middle', // MISSING
+		alignBottom		: 'Bottom', // MISSING
+		invalidHeight	: 'L\'alçada ha de ser un nombre.',
+		invalidWidth	: 'L\'amplada ha de ser un nombre.',
 
 		// Put the voice-only part of the label in the span.
@@ -156,7 +168,5 @@
 		popupScrollBars	: 'Barres d\'scroll',
 		popupDependent	: 'Depenent (Netscape)',
-		popupWidth		: 'Amplada',
 		popupLeft		: 'Posició esquerra',
-		popupHeight		: 'Alçada',
 		popupTop		: 'Posició dalt',
 		id				: 'Id',
@@ -244,13 +254,7 @@
 		columns		: 'Columnes',
 		border		: 'Mida vora',
-		align		: 'Alineació',
-		alignLeft	: 'Esquerra',
-		alignCenter	: 'Centre',
-		alignRight	: 'Dreta',
-		width		: 'Amplada',
 		widthPx		: 'píxels',
 		widthPc		: 'percentatge',
 		widthUnit	: 'unitat d\'amplada',
-		height		: 'Alçada',
 		cellSpace	: 'Espaiat de cel·les',
 		cellPad		: 'Encoixinament de cel·les',
@@ -288,7 +292,4 @@
 			hAlign			: 'Aliniació Horizontal',
 			vAlign			: 'Aliniació Vertical',
-			alignTop		: 'A dalt',
-			alignMiddle		: 'Al mig',
-			alignBottom		: 'A baix',
 			alignBaseline	: 'A la línia base',
 			bgColor			: 'Color de fons',
@@ -411,6 +412,4 @@
 		upload		: 'Puja',
 		alt			: 'Text alternatiu',
-		width		: 'Amplada',
-		height		: 'Alçada',
 		lockRatio	: 'Bloqueja les proporcions',
 		unlockRatio	: 'Desbloqueja el ràtio',
@@ -419,7 +418,4 @@
 		hSpace		: 'Espaiat horit.',
 		vSpace		: 'Espaiat vert.',
-		align		: 'Alineació',
-		alignLeft	: 'Ajusta a l\'esquerra',
-		alignRight	: 'Ajusta a la dreta',
 		alertUrl	: 'Si us plau, escriviu la URL de la imatge',
 		linkTab		: 'Enllaç',
@@ -427,6 +423,4 @@
 		img2Button	: 'Voleu transformar la imatge seleccionada en un botó d\'imatge?',
 		urlMissing	: 'Falta la URL de la imatge.',
-		validateWidth	: 'L\'amplada ha de ser un nombre enter.',
-		validateHeight	: 'L\'alçada ha de ser un nombre enter.',
 		validateBorder	: 'La vora ha de ser un nombre enter.',
 		validateHSpace	: 'HSpace ha de ser un nombre enter.',
@@ -452,14 +446,8 @@
 		accessSameDomain: 'El mateix domini',
 		accessNever		: 'Mai',
-		align			: 'Alineació',
-		alignLeft		: 'Ajusta a l\'esquerra',
 		alignAbsBottom	: 'Abs Bottom',
 		alignAbsMiddle	: 'Abs Middle',
 		alignBaseline	: 'Baseline',
-		alignBottom		: 'Bottom',
-		alignMiddle		: 'Middle',
-		alignRight		: 'Ajusta a la dreta',
 		alignTextTop	: 'Text Top',
-		alignTop		: 'Top',
 		quality			: 'Qualitat',
 		qualityBest		: 'La millor',
@@ -475,11 +463,7 @@
 		flashvars		: 'Variables de Flash',
 		bgcolor			: 'Color de Fons',
-		width			: 'Amplada',
-		height			: 'Alçada',
 		hSpace			: 'Espaiat horit.',
 		vSpace			: 'Espaiat vert.',
 		validateSrc		: 'Si us plau, escrigui l\'enllaç URL',
-		validateWidth	: 'L\'amplada ha de ser un nombre.',
-		validateHeight	: 'L\'alçada ha de ser un nombre.',
 		validateHSpace	: 'L\'espaiat horitzonatal ha de ser un nombre.',
 		validateVSpace	: 'L\'espaiat vertical ha de ser un nombre.'
@@ -615,4 +599,13 @@
 		remove				: 'Elimina Div'
   	},
+
+	iframe :
+	{
+		title		: 'iFrame Properties', // MISSING
+		toolbar		: 'iFrame', // MISSING
+		noUrl		: 'Please type the iFrame URL', // MISSING
+		scrolling	: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border' // MISSING
+	},
 
 	font :
@@ -731,8 +724,9 @@
 	fakeobjects :
 	{
-		anchor	: 'Àncora',
-		flash	: 'Animació Flash',
-		div		: 'Salt de pàgina',
-		unknown	: 'Objecte desconegut'
+		anchor		: 'Àncora',
+		flash		: 'Animació Flash',
+		iframe		: 'iFrame', // MISSING
+		hiddenfield	: 'Hidden Field', // MISSING
+		unknown		: 'Objecte desconegut'
 	},
 
Index: CKEditor/trunk/_source/lang/cs.js
===================================================================
--- CKEditor/trunk/_source/lang/cs.js	(revision 6232)
+++ CKEditor/trunk/_source/lang/cs.js	(revision 6241)
@@ -57,4 +57,5 @@
 	horizontalrule	: 'Vložit vodorovnou linku',
 	pagebreak		: 'Vložit konec stránky',
+	pagebreakAlt		: 'Page Break', // MISSING
 	unlink			: 'Odstranit odkaz',
 	undo			: 'Zpět',
@@ -110,4 +111,15 @@
 		styles			: 'Style', // MISSING
 		cssClasses		: 'Stylesheet Classes', // MISSING
+		width			: 'Šířka',
+		height			: 'Výška',
+		align			: 'Zarovnání',
+		alignLeft		: 'Vlevo',
+		alignRight		: 'Vpravo',
+		alignCenter		: 'Na střed',
+		alignTop		: 'Nahoru',
+		alignMiddle		: 'Na střed',
+		alignBottom		: 'Dolů',
+		invalidHeight	: 'Zadaná výška musí být číslo.',
+		invalidWidth	: 'Zadaná šířka musí být číslo.',
 
 		// Put the voice-only part of the label in the span.
@@ -156,7 +168,5 @@
 		popupScrollBars	: 'Posuvníky',
 		popupDependent	: 'Závislost (Netscape)',
-		popupWidth		: 'Šířka',
 		popupLeft		: 'Levý okraj',
-		popupHeight		: 'Výška',
 		popupTop		: 'Horní okraj',
 		id				: 'Id',
@@ -244,13 +254,7 @@
 		columns		: 'Sloupce',
 		border		: 'Ohraničení',
-		align		: 'Zarovnání',
-		alignLeft	: 'Vlevo',
-		alignCenter	: 'Na střed',
-		alignRight	: 'Vpravo',
-		width		: 'Šířka',
 		widthPx		: 'bodů',
 		widthPc		: 'procent',
 		widthUnit	: 'width unit', // MISSING
-		height		: 'Výška',
 		cellSpace	: 'Vzdálenost buněk',
 		cellPad		: 'Odsazení obsahu v buňce',
@@ -288,7 +292,4 @@
 			hAlign			: 'Vodorovné zarovnání',
 			vAlign			: 'Svislé zarovnání',
-			alignTop		: 'Nahoru',
-			alignMiddle		: 'Doprostřed',
-			alignBottom		: 'Dolů',
 			alignBaseline	: 'Na účaří',
 			bgColor			: 'Barva pozadí',
@@ -411,6 +412,4 @@
 		upload		: 'Odeslat',
 		alt			: 'Alternativní text',
-		width		: 'Šířka',
-		height		: 'Výška',
 		lockRatio	: 'Zámek',
 		unlockRatio	: 'Unlock Ratio', // MISSING
@@ -419,7 +418,4 @@
 		hSpace		: 'H-mezera',
 		vSpace		: 'V-mezera',
-		align		: 'Zarovnání',
-		alignLeft	: 'Vlevo',
-		alignRight	: 'Vpravo',
 		alertUrl	: 'Zadejte prosím URL obrázku',
 		linkTab		: 'Odkaz',
@@ -427,6 +423,4 @@
 		img2Button	: 'Skutečně chcete převést zvolený obrázek na obrázkové tlačítko?',
 		urlMissing	: 'Zadané URL zdroje obrázku nebylo nalezeno.',
-		validateWidth	: 'Width must be a whole number.', // MISSING
-		validateHeight	: 'Height must be a whole number.', // MISSING
 		validateBorder	: 'Border must be a whole number.', // MISSING
 		validateHSpace	: 'HSpace must be a whole number.', // MISSING
@@ -452,14 +446,8 @@
 		accessSameDomain: 'Ve stejné doméně',
 		accessNever		: 'Nikdy',
-		align			: 'Zarovnání',
-		alignLeft		: 'Vlevo',
 		alignAbsBottom	: 'Zcela dolů',
 		alignAbsMiddle	: 'Doprostřed',
 		alignBaseline	: 'Na účaří',
-		alignBottom		: 'Dolů',
-		alignMiddle		: 'Na střed',
-		alignRight		: 'Vpravo',
 		alignTextTop	: 'Na horní okraj textu',
-		alignTop		: 'Nahoru',
 		quality			: 'Kvalita',
 		qualityBest		: 'Nejlepší',
@@ -475,11 +463,7 @@
 		flashvars		: 'Proměnné pro Flash',
 		bgcolor			: 'Barva pozadí',
-		width			: 'Šířka',
-		height			: 'Výška',
 		hSpace			: 'H-mezera',
 		vSpace			: 'V-mezera',
 		validateSrc		: 'Zadejte prosím URL odkazu',
-		validateWidth	: 'Zadaná šířka musí být číslo.',
-		validateHeight	: 'Zadaná výška musí být číslo.',
 		validateHSpace	: 'Zadaná H-mezera musí být číslo.',
 		validateVSpace	: 'Zadaná V-mezera musí být číslo.'
@@ -615,4 +599,13 @@
 		remove				: 'Remove Div' // MISSING
   	},
+
+	iframe :
+	{
+		title		: 'iFrame Properties', // MISSING
+		toolbar		: 'iFrame', // MISSING
+		noUrl		: 'Please type the iFrame URL', // MISSING
+		scrolling	: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border' // MISSING
+	},
 
 	font :
@@ -731,8 +724,9 @@
 	fakeobjects :
 	{
-		anchor	: 'Záložka',
-		flash	: 'Flash animace',
-		div		: 'Zalomení stránky',
-		unknown	: 'Neznámý objekt'
+		anchor		: 'Záložka',
+		flash		: 'Flash animace',
+		iframe		: 'iFrame', // MISSING
+		hiddenfield	: 'Hidden Field', // MISSING
+		unknown		: 'Neznámý objekt'
 	},
 
Index: CKEditor/trunk/_source/lang/cy.js
===================================================================
--- CKEditor/trunk/_source/lang/cy.js	(revision 6232)
+++ CKEditor/trunk/_source/lang/cy.js	(revision 6241)
@@ -57,4 +57,5 @@
 	horizontalrule	: 'Mewnosod Llinell Lorweddol',
 	pagebreak		: 'Mewnosod Toriad Tudalen i Argraffu',
+	pagebreakAlt		: 'Page Break', // MISSING
 	unlink			: 'Datgysylltu',
 	undo			: 'Dadwneud',
@@ -110,4 +111,15 @@
 		styles			: 'Style', // MISSING
 		cssClasses		: 'Stylesheet Classes', // MISSING
+		width			: 'Lled',
+		height			: 'Uchder',
+		align			: 'Alinio',
+		alignLeft		: 'Chwith',
+		alignRight		: 'Dde',
+		alignCenter		: 'Canol',
+		alignTop		: 'Top', // MISSING
+		alignMiddle		: 'Canol',
+		alignBottom		: 'Gwaelod',
+		invalidHeight	: 'Rhaid i\'r Uchder fod yn rhif.',
+		invalidWidth	: 'Rhaid i\'r Lled fod yn rhif.',
 
 		// Put the voice-only part of the label in the span.
@@ -156,7 +168,5 @@
 		popupScrollBars	: 'Barrau Sgrolio',
 		popupDependent	: 'Dibynnol (Netscape)',
-		popupWidth		: 'Lled',
 		popupLeft		: 'Safle Chwith',
-		popupHeight		: 'Uchder',
 		popupTop		: 'Safle Top',
 		id				: 'Id',
@@ -244,13 +254,7 @@
 		columns		: 'Colofnau',
 		border		: 'Maint yr Ymyl',
-		align		: 'Aliniad',
-		alignLeft	: 'Chwith',
-		alignCenter	: 'Canol',
-		alignRight	: 'Dde',
-		width		: 'Lled',
 		widthPx		: 'picsel',
 		widthPc		: 'y cant',
 		widthUnit	: 'width unit', // MISSING
-		height		: 'Uchder',
 		cellSpace	: 'Bylchu\'r gell',
 		cellPad		: 'Padio\'r gell',
@@ -288,7 +292,4 @@
 			hAlign			: 'Aliniad Llorweddol',
 			vAlign			: 'Aliniad Fertigol',
-			alignTop		: 'Top',
-			alignMiddle		: 'Canol',
-			alignBottom		: 'Gwaelod',
 			alignBaseline	: 'Baslinell',
 			bgColor			: 'Lliw Cefndir',
@@ -411,6 +412,4 @@
 		upload		: 'lanlwytho',
 		alt			: 'Testun Amgen',
-		width		: 'Lled',
-		height		: 'Uchder',
 		lockRatio	: 'Cloi Cymhareb',
 		unlockRatio	: 'Unlock Ratio', // MISSING
@@ -419,7 +418,4 @@
 		hSpace		: 'BwlchLl',
 		vSpace		: 'BwlchF',
-		align		: 'Alinio',
-		alignLeft	: 'Chwith',
-		alignRight	: 'Dde',
 		alertUrl	: 'Rhowch URL y ddelwedd',
 		linkTab		: 'Dolen',
@@ -427,6 +423,4 @@
 		img2Button	: 'Ydych am drawsffurfio\'r ddelwedd hon ar fotwm delwedd?',
 		urlMissing	: 'URL tarddle\'r ddelwedd ar goll.',
-		validateWidth	: 'Width must be a whole number.', // MISSING
-		validateHeight	: 'Height must be a whole number.', // MISSING
 		validateBorder	: 'Border must be a whole number.', // MISSING
 		validateHSpace	: 'HSpace must be a whole number.', // MISSING
@@ -452,14 +446,8 @@
 		accessSameDomain: 'R\'un parth',
 		accessNever		: 'Byth',
-		align			: 'Alinio',
-		alignLeft		: 'Chwith',
 		alignAbsBottom	: 'Gwaelod Abs',
 		alignAbsMiddle	: 'Canol Abs',
 		alignBaseline	: 'Baslinell',
-		alignBottom		: 'Gwaelod',
-		alignMiddle		: 'Canol',
-		alignRight		: 'Dde',
 		alignTextTop	: 'Testun Top',
-		alignTop		: 'Top',
 		quality			: 'Ansawdd',
 		qualityBest		: 'Gorau',
@@ -475,11 +463,7 @@
 		flashvars		: 'Newidynnau ar gyfer Flash',
 		bgcolor			: 'Lliw cefndir',
-		width			: 'Lled',
-		height			: 'Uchder',
 		hSpace			: 'BwlchLl',
 		vSpace			: 'BwlchF',
 		validateSrc		: 'Ni all yr URL fod yn wag.',
-		validateWidth	: 'Rhaid i\'r Lled fod yn rhif.',
-		validateHeight	: 'Rhaid i\'r Uchder fod yn rhif.',
 		validateHSpace	: 'Rhaid i\'r BwlchLl fod yn rhif.',
 		validateVSpace	: 'Rhaid i\'r BwlchF fod yn rhif.'
@@ -615,4 +599,13 @@
 		remove				: 'Remove Div' // MISSING
   	},
+
+	iframe :
+	{
+		title		: 'iFrame Properties', // MISSING
+		toolbar		: 'iFrame', // MISSING
+		noUrl		: 'Please type the iFrame URL', // MISSING
+		scrolling	: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border' // MISSING
+	},
 
 	font :
@@ -731,8 +724,9 @@
 	fakeobjects :
 	{
-		anchor	: 'Angor',
-		flash	: 'Animeiddiant Flash',
-		div		: 'Toriad Tudalen',
-		unknown	: 'Gwrthrych Anhysbys'
+		anchor		: 'Angor',
+		flash		: 'Animeiddiant Flash',
+		iframe		: 'iFrame', // MISSING
+		hiddenfield	: 'Hidden Field', // MISSING
+		unknown		: 'Gwrthrych Anhysbys'
 	},
 
